Name:           libvmime
Version:        0.9.0
Release:        3%{?dist}
Summary:        Powerful library for MIME messages and Internet messaging services
Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.vmime.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:         libvmime-0.9.0-include_stdio.h.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Documentation builds with inkscape :/
#BuildRequires:  inkscape
#BuildRequires:  texlive-latex

# Weird buildrequires, who needs /usr/sbin/sendmail during the build?
BuildRequires:  sendmail

BuildRequires:  libgsasl-devel
BuildRequires:  gnutls-devel

%description
VMime is a powerful C++ class library for working with MIME messages
and Internet messaging services like IMAP, POP or SMTP.

With VMime you can parse, generate and modify messages, and also
connect to store and transport services to receive or send messages
over the Internet. The library offers all the features to build a
complete mail client.

%package devel
Summary:        Development headers for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       libgsasl-devel
Requires:       gnutls-devel

%description    devel
This package contains development files for %{name}.

%package static
Summary:        Static libraries for %{name}
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}

%description    static
This package contains static library files for %{name}.

%prep
%setup -q
%patch0 -p1

%build
export EXTRA_CFLAGS="$RPM_OPT_FLAGS"
%{configure}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Docs are available online and are installed in the wrong location
rm -rf %{buildroot}/%{_datadir}/doc/vmime/

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/vmime/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/vmime.pc

%files static
%defattr(-,root,root,-)
%{_libdir}/libvmime.a
%exclude %{_libdir}/%{name}.la

%changelog
* Fri Apr 17 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.9.0-3
- From feedback in review request (#494073, rsc)

* Tue Apr 04 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.9.0-2
- From feedback in review request (#494073)

* Sat Apr 04 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.9.0-1
- Initial Package

